Remove all the GHC 6.12 QQ hacks #288

Closed
snoyberg opened this Issue Mar 12, 2012 · 1 comment

1 participant

@snoyberg
Yesod Web Framework member

With the move to conduit, we can no longer support GHC 6.12. conduit relies on the mask function, which was introduced with GHC 7. We could actually work around this in conduit and allow it to continue working with GHC 6.12, but frankly, I think it's time to deprecate support anyway.

So if anyone runs into a GHC 6.12 hack for the QQ syntax, just go ahead and remove it.

@snoyberg snoyberg added a commit that referenced this issue Mar 12, 2012
@snoyberg snoyberg Remove some QQ hacks #288 b5f2e48
@pSub pSub referenced this issue in pbrisbin/yesod-markdown Mar 14, 2012
Merged

Removed QQ hacks since ghc6 is no longer supported #2

@snoyberg
Yesod Web Framework member

If we find any more examples of this, let's clean them up. For now, I think we've found the major examples.

@snoyberg snoyberg closed this Mar 15, 2012
@wuzzeb wuzzeb pushed a commit that referenced this issue Sep 12, 2013
@snoyberg snoyberg Remove some QQ hacks #288 64cab3a
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment